### Class

# Atspi Hyperlink

#### Description [src]

    class Atspi.Hyperlink : Atspi.Object
    {
      /* No available fields */
    }

Instances of atspi-hyperlink are the means by which end users and clients interact with linked content.

Instances of atspi-hyperlink are returned by atspi-hypertext objects, and are the means by which end users and clients interact with linked, and in some cases embedded, content. These instances may have multiple “anchors”, where an anchor corresponds to a reference to a particular resource with a corresponding resource identified (URI).

#### Hierarchy

#### Ancestors

- AtspiObject
- GObject

#### Instance methods

###### atspi_hyperlink_get_end_index

Gets the ending character offset of the text range associated with an `AtspiHyperlink`, in its originating `AtspiHypertext`.

###### atspi_hyperlink_get_index_range

Gets the starting and ending character offsets of the text range associated with an `AtspiHyperlink`, in its originating `AtspiHypertext`.

###### atspi_hyperlink_get_n_anchors

Gets the total number of anchors which an `AtspiHyperlink` implementor has. Though typical hyperlinks have only one anchor, client-side image maps and other hypertext objects may potentially activate or refer to multiple URIs. For each anchor there is a corresponding URI and object.

###### atspi_hyperlink_get_object

Gets the object associated with a particular hyperlink anchor, as an `AtspiAccessible`.

###### atspi_hyperlink_get_start_index

Gets the starting character offset of the text range associated with an `AtspiHyperlink`, in its originating `AtspiHypertext`.

###### atspi_hyperlink_get_uri

Gets the URI associated with a particular hyperlink anchor.

###### atspi_hyperlink_is_valid

Tells whether an `AtspiHyperlink` object is still valid with respect to its originating hypertext object.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiHyperlinkClass {
      AtspiObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: AtspiObjectClass`

  No description available.